Create a case status Run in API Explorer
Ask AI
POST
/api/v1/cases-status
curl \
--request POST 'https://api.plannrcrm.com/api/v1/cases-status' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "In Progress",
"colour": "#23852B"
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "In Progress",
"colour": "#23852B"
}
Response examples (200)
[
{
"uuid": "cb11a2ea-89bf-40d5-97d7-e8bfdc0c3367",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"name": "To Be Reviewed",
"colour": "#23852B",
"position": 5,
"is_type_completed": false
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}